[jira] [Updated] (VFS-686) Upgrade Jackrabbit dependency to the latest 2.x

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Updated] (VFS-686) Upgrade Jackrabbit dependency to the latest 2.x

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/VFS-686?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Woonsan Ko updated VFS-686:
---------------------------
    Attachment: feature-VFS-686-2.patch

> Upgrade Jackrabbit dependency to the latest 2.x
> -----------------------------------------------
>
>                 Key: VFS-686
>                 URL: https://issues.apache.org/jira/browse/VFS-686
>             Project: Commons VFS
>          Issue Type: Improvement
>    Affects Versions: 2.2
>            Reporter: Woonsan Ko
>            Priority: Major
>              Labels: pull-request-available
>         Attachments: feature-VFS-686-2.patch, feature-VFS-686.patch
>
>          Time Spent: 10m
>  Remaining Estimate: 0h
>
> The current dependency, Jackrabbit 1.6.5, still depends on HttpClient 3.x, while Jackrabbit 2.x depends on HttpClient 4.x.
> So, WebDAV file system provider should use the latest stable version of Jackrabbit 2.x.
> As of VFS-360, it is possible to let the WebDAV file system use HttpComponents 4.x.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)